Subject: RE: draft-raggarwa-rsvpte-pw-01.txt

From: [email-masked]
Date: Thu, 24 Mar 2005 16:49:23 -0000

Luca,

Thanks, see in-line.

> -----Original Message-----
> From: Luca Martini [mailto:[email-masked]]
> Sent: 24 March 2005 16:30
> To: Niven-jenkins,B,Ben,XDE73 R
> Cc: [email-masked]
> Subject: Re: [PWE3] draft-raggarwa-rsvpte-pw-01.txt
> 
> 
> Ben
> 
> I think that the main problem here is that we have not yet 
> arrived at a 
> good set of requirements. The work is not completed.

I agree.

> It may be that in the end we have an RSVP-TE solution, 
> however right now 
> we are attempting to finish the definition of the requirements , then 
> figure out what protocols are needed.

This was the (maybe subtle) crux of my mail.  Let's not assume that because SS-PWs uses LDP that MS-PWs must also use LDP.  Let's work out the requirements & then make an informed (and impartial) choice as to the best protocol to use.

My understanding is that by making draft-raggarwa-rsvpte-pw-01.txt a WG document, means that the WG accept it as a possible solution & will consider it against the MS-PW requirements.  It does not mean that the WG mandate that RSVP-TE *is the* MS-PW signalling protocol.

I can see arguments for & against (and the pros/cons of one solution Vs another change whether you are a vendor & want to minimise code changes or an operator & want to minimise the number of protocols in your networks).

> We are always striving to improve the IETF process , so for 
> once we are 
> starting from the right direction .... let's not turn around...

I applaud the attempt to do things 'in the right order' and get the requirements down before specifying/mandating solutions.  If only this occurred more often in IETF & the industry at large then I believe we as a community would benefit from the additonal rigour introduced.

Ben